IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCommandList')
	BEGIN
		PRINT 'Dropping Procedure adfCommandList'
		DROP  Procedure  adfCommandList
	END

GO

PRINT 'Creating Procedure adfCommandList'
GO
/******************************************************************************
**		File: 
**		Name: adfCommandList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCommandList
AS
	SET NOCOUNT ON
	
	SELECT
		[UICommand].[ID],
		[UICommand].[Name]
	FROM
		[UICommand]
	RETURN 0
GO

GRANT EXEC ON adfCommandList TO PUBLIC
GO
