IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfRightGroupList')
	BEGIN
		PRINT 'Dropping Procedure adfRightGroupList'
		DROP  Procedure  adfRightGroupList
	END

GO

PRINT 'Creating Procedure adfRightGroupList'
GO
/******************************************************************************
**		File: 
**		Name: adfRightGroupList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfRightGroupList
AS
	SET NOCOUNT ON
	
	SELECT DISTINCT
		[Right].[Group]
	FROM
		[Right]
	ORDER BY 
		[Right].[Group]
	
	RETURN 0
GO

GRANT EXEC ON adfRightGroupList TO PUBLIC
GO
