IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfUserLicenseDelete')
	BEGIN
		PRINT 'Dropping Procedure adfUserLicenseDelete'
		DROP  Procedure  adfUserLicenseDelete
	END

GO

PRINT 'Creating Procedure adfUserLicenseDelete'
GO
/******************************************************************************
**		File: 
**		Name: adfUserLicenseDelete
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfUserLicenseDelete
	@ID TIdentifier
AS
	SET NOCOUNT ON

	UPDATE [User]
	SET
		[ProductKey] = NULL,
		[SerialNumber] = NULL,
		[IsPermanent] = 0,
		[InitialDate] = NULL,
		[ValidationData] = 'EMPTY'
	WHERE
		[User].[ID] = @ID
		
	IF @@ERROR != 0 
	BEGIN
		RETURN 1
	END
	
	RETURN 0
GO

GRANT EXEC ON adfUserLicenseDelete TO PUBLIC
GO
