﻿UPDATE [Country] SET [FileAs] = 'Туркменистан' WHERE [Code] = 'TM'
GO
IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'NationalLanguageCode' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='Country')
BEGIN
	ALTER TABLE [Country] ADD [NationalLanguageCode] TCode NULL
END
GO
IF NOT EXISTS(SELECT *FROM [CountryCurrency])
BEGIN
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AD')
		INSERT INTO CountryCurrency VALUES('AD', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AED') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AE')
		INSERT INTO CountryCurrency VALUES('AE', 'AED')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AFN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AF')
		INSERT INTO CountryCurrency VALUES('AF', 'AFN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XCD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AG')
		INSERT INTO CountryCurrency VALUES('AG', 'XCD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XCD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AI')
		INSERT INTO CountryCurrency VALUES('AI', 'XCD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ALL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AL')
		INSERT INTO CountryCurrency VALUES('AL', 'ALL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AMD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AM')
		INSERT INTO CountryCurrency VALUES('AM', 'AMD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ANG') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AN')
		INSERT INTO CountryCurrency VALUES('AN', 'ANG')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AOA') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AO')
		INSERT INTO CountryCurrency VALUES('AO', 'AOA')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ARS') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AR')
		INSERT INTO CountryCurrency VALUES('AR', 'ARS')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AS')
		INSERT INTO CountryCurrency VALUES('AS', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AT')
		INSERT INTO CountryCurrency VALUES('AT', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AUD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AU')
		INSERT INTO CountryCurrency VALUES('AU', 'AUD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AWG') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AW')
		INSERT INTO CountryCurrency VALUES('AW', 'AWG')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AZN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'AZ')
		INSERT INTO CountryCurrency VALUES('AZ', 'AZN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ВАМ') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BA')
		INSERT INTO CountryCurrency VALUES('BA', 'ВАМ')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BBD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BB')
		INSERT INTO CountryCurrency VALUES('BB', 'BBD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BDT') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BD')
		INSERT INTO CountryCurrency VALUES('BD', 'BDT')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BE')
		INSERT INTO CountryCurrency VALUES('BE', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XOF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BF')
		INSERT INTO CountryCurrency VALUES('BF', 'XOF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BGN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BG')
		INSERT INTO CountryCurrency VALUES('BG', 'BGN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BHD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BH')
		INSERT INTO CountryCurrency VALUES('BH', 'BHD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BIF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BI')
		INSERT INTO CountryCurrency VALUES('BI', 'BIF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XOF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BJ')
		INSERT INTO CountryCurrency VALUES('BJ', 'XOF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BMD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BM')
		INSERT INTO CountryCurrency VALUES('BM', 'BMD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BND') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BN')
		INSERT INTO CountryCurrency VALUES('BN', 'BND')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BOB') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BO')
		INSERT INTO CountryCurrency VALUES('BO', 'BOB')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BRL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BR')
		INSERT INTO CountryCurrency VALUES('BR', 'BRL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BSD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BS')
		INSERT INTO CountryCurrency VALUES('BS', 'BSD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'INR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BT')
		INSERT INTO CountryCurrency VALUES('BT', 'INR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NOK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BV')
		INSERT INTO CountryCurrency VALUES('BV', 'NOK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BWP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BW')
		INSERT INTO CountryCurrency VALUES('BW', 'BWP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BYR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BY')
		INSERT INTO CountryCurrency VALUES('BY', 'BYR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'BZD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'BZ')
		INSERT INTO CountryCurrency VALUES('BZ', 'BZD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CAD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CA')
		INSERT INTO CountryCurrency VALUES('CA', 'CAD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AUD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CC')
		INSERT INTO CountryCurrency VALUES('CC', 'AUD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XAF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CF')
		INSERT INTO CountryCurrency VALUES('CF', 'XAF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CDF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CG')
		INSERT INTO CountryCurrency VALUES('CG', 'CDF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CHF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CH')
		INSERT INTO CountryCurrency VALUES('CH', 'CHF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XOF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CI')
		INSERT INTO CountryCurrency VALUES('CI', 'XOF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NZD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CK')
		INSERT INTO CountryCurrency VALUES('CK', 'NZD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CLP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CL')
		INSERT INTO CountryCurrency VALUES('CL', 'CLP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XAF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CM')
		INSERT INTO CountryCurrency VALUES('CM', 'XAF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CNY') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CN')
		INSERT INTO CountryCurrency VALUES('CN', 'CNY')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'COP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CO')
		INSERT INTO CountryCurrency VALUES('CO', 'COP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CRC') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CR')
		INSERT INTO CountryCurrency VALUES('CR', 'CRC')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CUP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CU')
		INSERT INTO CountryCurrency VALUES('CU', 'CUP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CVE') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CV')
		INSERT INTO CountryCurrency VALUES('CV', 'CVE')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AUD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CX')
		INSERT INTO CountryCurrency VALUES('CX', 'AUD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CY')
		INSERT INTO CountryCurrency VALUES('CY', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CZK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'CZ')
		INSERT INTO CountryCurrency VALUES('CZ', 'CZK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'DE')
		INSERT INTO CountryCurrency VALUES('DE', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'DJF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'DJ')
		INSERT INTO CountryCurrency VALUES('DJ', 'DJF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'DKK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'DK')
		INSERT INTO CountryCurrency VALUES('DK', 'DKK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XCD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'DM')
		INSERT INTO CountryCurrency VALUES('DM', 'XCD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'DOP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'DO')
		INSERT INTO CountryCurrency VALUES('DO', 'DOP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'DZD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'DZ')
		INSERT INTO CountryCurrency VALUES('DZ', 'DZD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'EC')
		INSERT INTO CountryCurrency VALUES('EC', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'EE')
		INSERT INTO CountryCurrency VALUES('EE', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EGP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'EG')
		INSERT INTO CountryCurrency VALUES('EG', 'EGP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MAD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'EH')
		INSERT INTO CountryCurrency VALUES('EH', 'MAD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ERN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ER')
		INSERT INTO CountryCurrency VALUES('ER', 'ERN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ES')
		INSERT INTO CountryCurrency VALUES('ES', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ETB') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ET')
		INSERT INTO CountryCurrency VALUES('ET', 'ETB')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'FI')
		INSERT INTO CountryCurrency VALUES('FI', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'FJD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'FJ')
		INSERT INTO CountryCurrency VALUES('FJ', 'FJD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'FKP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'FK')
		INSERT INTO CountryCurrency VALUES('FK', 'FKP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'FM')
		INSERT INTO CountryCurrency VALUES('FM', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'DKK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'FO')
		INSERT INTO CountryCurrency VALUES('FO', 'DKK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'FR')
		INSERT INTO CountryCurrency VALUES('FR', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XAF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GA')
		INSERT INTO CountryCurrency VALUES('GA', 'XAF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'GBP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GB')
		INSERT INTO CountryCurrency VALUES('GB', 'GBP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XCD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GD')
		INSERT INTO CountryCurrency VALUES('GD', 'XCD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'GEL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GE')
		INSERT INTO CountryCurrency VALUES('GE', 'GEL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GF')
		INSERT INTO CountryCurrency VALUES('GF', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'GHS') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GH')
		INSERT INTO CountryCurrency VALUES('GH', 'GHS')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'GIP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GI')
		INSERT INTO CountryCurrency VALUES('GI', 'GIP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'DKK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GL')
		INSERT INTO CountryCurrency VALUES('GL', 'DKK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'GMD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GM')
		INSERT INTO CountryCurrency VALUES('GM', 'GMD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'GNF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GN')
		INSERT INTO CountryCurrency VALUES('GN', 'GNF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GP')
		INSERT INTO CountryCurrency VALUES('GP', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XAF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GQ')
		INSERT INTO CountryCurrency VALUES('GQ', 'XAF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GR')
		INSERT INTO CountryCurrency VALUES('GR', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'GTQ') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GT')
		INSERT INTO CountryCurrency VALUES('GT', 'GTQ')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GU')
		INSERT INTO CountryCurrency VALUES('GU', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XOF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GW')
		INSERT INTO CountryCurrency VALUES('GW', 'XOF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'GYD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'GY')
		INSERT INTO CountryCurrency VALUES('GY', 'GYD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'HKD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'HK')
		INSERT INTO CountryCurrency VALUES('HK', 'HKD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AUD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'HM')
		INSERT INTO CountryCurrency VALUES('HM', 'AUD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'HNL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'HN')
		INSERT INTO CountryCurrency VALUES('HN', 'HNL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'HRK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'HR')
		INSERT INTO CountryCurrency VALUES('HR', 'HRK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'HTG') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'HT')
		INSERT INTO CountryCurrency VALUES('HT', 'HTG')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'HUF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'HU')
		INSERT INTO CountryCurrency VALUES('HU', 'HUF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'IDR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ID')
		INSERT INTO CountryCurrency VALUES('ID', 'IDR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'IE')
		INSERT INTO CountryCurrency VALUES('IE', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ILS') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'IL')
		INSERT INTO CountryCurrency VALUES('IL', 'ILS')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'INR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'IN')
		INSERT INTO CountryCurrency VALUES('IN', 'INR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'IO')
		INSERT INTO CountryCurrency VALUES('IO', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'IQD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'IQ')
		INSERT INTO CountryCurrency VALUES('IQ', 'IQD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'IRR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'IR')
		INSERT INTO CountryCurrency VALUES('IR', 'IRR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ISK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'IS')
		INSERT INTO CountryCurrency VALUES('IS', 'ISK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'IT')
		INSERT INTO CountryCurrency VALUES('IT', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'JMD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'JM')
		INSERT INTO CountryCurrency VALUES('JM', 'JMD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'JOD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'JO')
		INSERT INTO CountryCurrency VALUES('JO', 'JOD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'JPY') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'JP')
		INSERT INTO CountryCurrency VALUES('JP', 'JPY')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KES') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KE')
		INSERT INTO CountryCurrency VALUES('KE', 'KES')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KGS') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KG')
		INSERT INTO CountryCurrency VALUES('KG', 'KGS')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KHR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KH')
		INSERT INTO CountryCurrency VALUES('KH', 'KHR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AUD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KI')
		INSERT INTO CountryCurrency VALUES('KI', 'AUD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KMF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KM')
		INSERT INTO CountryCurrency VALUES('KM', 'KMF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XCD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KN')
		INSERT INTO CountryCurrency VALUES('KN', 'XCD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KPW') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KP')
		INSERT INTO CountryCurrency VALUES('KP', 'KPW')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KRW') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KR')
		INSERT INTO CountryCurrency VALUES('KR', 'KRW')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KWD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KW')
		INSERT INTO CountryCurrency VALUES('KW', 'KWD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KYD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KY')
		INSERT INTO CountryCurrency VALUES('KY', 'KYD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'KZT') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'KZ')
		INSERT INTO CountryCurrency VALUES('KZ', 'KZT')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'LAK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LA')
		INSERT INTO CountryCurrency VALUES('LA', 'LAK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'LBP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LB')
		INSERT INTO CountryCurrency VALUES('LB', 'LBP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XCD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LC')
		INSERT INTO CountryCurrency VALUES('LC', 'XCD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CHF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LI')
		INSERT INTO CountryCurrency VALUES('LI', 'CHF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'LKR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LK')
		INSERT INTO CountryCurrency VALUES('LK', 'LKR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'LRD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LR')
		INSERT INTO CountryCurrency VALUES('LR', 'LRD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'LSL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LS')
		INSERT INTO CountryCurrency VALUES('LS', 'LSL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'LTL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LT')
		INSERT INTO CountryCurrency VALUES('LT', 'LTL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LU')
		INSERT INTO CountryCurrency VALUES('LU', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'LVL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LV')
		INSERT INTO CountryCurrency VALUES('LV', 'LVL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'LYD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'LY')
		INSERT INTO CountryCurrency VALUES('LY', 'LYD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MAD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MA')
		INSERT INTO CountryCurrency VALUES('MA', 'MAD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MC')
		INSERT INTO CountryCurrency VALUES('MC', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MDL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MD')
		INSERT INTO CountryCurrency VALUES('MD', 'MDL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MGA') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MG')
		INSERT INTO CountryCurrency VALUES('MG', 'MGA')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MH')
		INSERT INTO CountryCurrency VALUES('MH', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MKD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MK')
		INSERT INTO CountryCurrency VALUES('MK', 'MKD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XOF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ML')
		INSERT INTO CountryCurrency VALUES('ML', 'XOF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MMK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MM')
		INSERT INTO CountryCurrency VALUES('MM', 'MMK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MNT') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MN')
		INSERT INTO CountryCurrency VALUES('MN', 'MNT')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'МОР') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MO')
		INSERT INTO CountryCurrency VALUES('MO', 'МОР')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MP')
		INSERT INTO CountryCurrency VALUES('MP', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MQ')
		INSERT INTO CountryCurrency VALUES('MQ', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MRO') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MR')
		INSERT INTO CountryCurrency VALUES('MR', 'MRO')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XCD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MS')
		INSERT INTO CountryCurrency VALUES('MS', 'XCD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MT')
		INSERT INTO CountryCurrency VALUES('MT', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MU')
		INSERT INTO CountryCurrency VALUES('MU', 'MUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MVR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MV')
		INSERT INTO CountryCurrency VALUES('MV', 'MVR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MWK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MW')
		INSERT INTO CountryCurrency VALUES('MW', 'MWK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MXN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MX')
		INSERT INTO CountryCurrency VALUES('MX', 'MXN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MYR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MY')
		INSERT INTO CountryCurrency VALUES('MY', 'MYR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MZN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'MZ')
		INSERT INTO CountryCurrency VALUES('MZ', 'MZN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NAD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NA')
		INSERT INTO CountryCurrency VALUES('NA', 'NAD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XPF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NC')
		INSERT INTO CountryCurrency VALUES('NC', 'XPF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XOF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NE')
		INSERT INTO CountryCurrency VALUES('NE', 'XOF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AUD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NF')
		INSERT INTO CountryCurrency VALUES('NF', 'AUD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NGN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NG')
		INSERT INTO CountryCurrency VALUES('NG', 'NGN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NIO') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NI')
		INSERT INTO CountryCurrency VALUES('NI', 'NIO')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NL')
		INSERT INTO CountryCurrency VALUES('NL', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NOK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NO')
		INSERT INTO CountryCurrency VALUES('NO', 'NOK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NPR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NP')
		INSERT INTO CountryCurrency VALUES('NP', 'NPR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AUD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NR')
		INSERT INTO CountryCurrency VALUES('NR', 'AUD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NZD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NU')
		INSERT INTO CountryCurrency VALUES('NU', 'NZD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NZD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'NZ')
		INSERT INTO CountryCurrency VALUES('NZ', 'NZD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'OMR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'OM')
		INSERT INTO CountryCurrency VALUES('OM', 'OMR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'PAB') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PA')
		INSERT INTO CountryCurrency VALUES('PA', 'PAB')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'PEN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PE')
		INSERT INTO CountryCurrency VALUES('PE', 'PEN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XPF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PF')
		INSERT INTO CountryCurrency VALUES('PF', 'XPF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'PGK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PG')
		INSERT INTO CountryCurrency VALUES('PG', 'PGK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'PHP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PH')
		INSERT INTO CountryCurrency VALUES('PH', 'PHP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'PKR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PK')
		INSERT INTO CountryCurrency VALUES('PK', 'PKR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'PLN') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PL')
		INSERT INTO CountryCurrency VALUES('PL', 'PLN')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PM')
		INSERT INTO CountryCurrency VALUES('PM', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NZD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PN')
		INSERT INTO CountryCurrency VALUES('PN', 'NZD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PR')
		INSERT INTO CountryCurrency VALUES('PR', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PT')
		INSERT INTO CountryCurrency VALUES('PT', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PW')
		INSERT INTO CountryCurrency VALUES('PW', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'PYG') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'PY')
		INSERT INTO CountryCurrency VALUES('PY', 'PYG')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'QAR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'QA')
		INSERT INTO CountryCurrency VALUES('QA', 'QAR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'RE')
		INSERT INTO CountryCurrency VALUES('RE', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'RON') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'RO')
		INSERT INTO CountryCurrency VALUES('RO', 'RON')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'RUB') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'RU')
		INSERT INTO CountryCurrency VALUES('RU', 'RUB')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'RWF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'RW')
		INSERT INTO CountryCurrency VALUES('RW', 'RWF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SAR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SA')
		INSERT INTO CountryCurrency VALUES('SA', 'SAR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SBD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SB')
		INSERT INTO CountryCurrency VALUES('SB', 'SBD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SCR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SC')
		INSERT INTO CountryCurrency VALUES('SC', 'SCR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SDG') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SD')
		INSERT INTO CountryCurrency VALUES('SD', 'SDG')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SEK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SE')
		INSERT INTO CountryCurrency VALUES('SE', 'SEK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SGD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SG')
		INSERT INTO CountryCurrency VALUES('SG', 'SGD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SHP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SH')
		INSERT INTO CountryCurrency VALUES('SH', 'SHP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SI')
		INSERT INTO CountryCurrency VALUES('SI', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NOK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SJ')
		INSERT INTO CountryCurrency VALUES('SJ', 'NOK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SK')
		INSERT INTO CountryCurrency VALUES('SK', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SLL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SL')
		INSERT INTO CountryCurrency VALUES('SL', 'SLL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SM')
		INSERT INTO CountryCurrency VALUES('SM', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XOF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SN')
		INSERT INTO CountryCurrency VALUES('SN', 'XOF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SOS') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SO')
		INSERT INTO CountryCurrency VALUES('SO', 'SOS')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SRD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SR')
		INSERT INTO CountryCurrency VALUES('SR', 'SRD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'STD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ST')
		INSERT INTO CountryCurrency VALUES('ST', 'STD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SV')
		INSERT INTO CountryCurrency VALUES('SV', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SYP') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SY')
		INSERT INTO CountryCurrency VALUES('SY', 'SYP')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SZL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'SZ')
		INSERT INTO CountryCurrency VALUES('SZ', 'SZL')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TC')
		INSERT INTO CountryCurrency VALUES('TC', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XAF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TD')
		INSERT INTO CountryCurrency VALUES('TD', 'XAF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TF')
		INSERT INTO CountryCurrency VALUES('TF', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XOF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TG')
		INSERT INTO CountryCurrency VALUES('TG', 'XOF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'THB') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TH')
		INSERT INTO CountryCurrency VALUES('TH', 'THB')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TJS') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TJ')
		INSERT INTO CountryCurrency VALUES('TJ', 'TJS')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'NZD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TK')
		INSERT INTO CountryCurrency VALUES('TK', 'NZD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TMT') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TM')
		INSERT INTO CountryCurrency VALUES('TM', 'TMT')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TND') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TN')
		INSERT INTO CountryCurrency VALUES('TN', 'TND')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ТОР') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TO')
		INSERT INTO CountryCurrency VALUES('TO', 'ТОР')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TP')
		INSERT INTO CountryCurrency VALUES('TP', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TRY') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TR')
		INSERT INTO CountryCurrency VALUES('TR', 'TRY')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TTD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TT')
		INSERT INTO CountryCurrency VALUES('TT', 'TTD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AUD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TV')
		INSERT INTO CountryCurrency VALUES('TV', 'AUD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TWD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TW')
		INSERT INTO CountryCurrency VALUES('TW', 'TWD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TZS') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'TZ')
		INSERT INTO CountryCurrency VALUES('TZ', 'TZS')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'UAH') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'UA')
		INSERT INTO CountryCurrency VALUES('UA', 'UAH')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'UGX') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'UG')
		INSERT INTO CountryCurrency VALUES('UG', 'UGX')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'UM')
		INSERT INTO CountryCurrency VALUES('UM', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'US')
		INSERT INTO CountryCurrency VALUES('US', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'UYI') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'UY')
		INSERT INTO CountryCurrency VALUES('UY', 'UYI')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'UZS') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'UZ')
		INSERT INTO CountryCurrency VALUES('UZ', 'UZS')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'VA')
		INSERT INTO CountryCurrency VALUES('VA', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XCD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'VC')
		INSERT INTO CountryCurrency VALUES('VC', 'XCD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'VEF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'VE')
		INSERT INTO CountryCurrency VALUES('VE', 'VEF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'VG')
		INSERT INTO CountryCurrency VALUES('VG', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'USD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'VI')
		INSERT INTO CountryCurrency VALUES('VI', 'USD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'VND') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'VN')
		INSERT INTO CountryCurrency VALUES('VN', 'VND')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'VUV') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'VU')
		INSERT INTO CountryCurrency VALUES('VU', 'VUV')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XPF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'WF')
		INSERT INTO CountryCurrency VALUES('WF', 'XPF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'WST') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'WS')
		INSERT INTO CountryCurrency VALUES('WS', 'WST')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'YER') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'YE')
		INSERT INTO CountryCurrency VALUES('YE', 'YER')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'EUR') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'YT')
		INSERT INTO CountryCurrency VALUES('YT', 'EUR')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MKD') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'YU')
		INSERT INTO CountryCurrency VALUES('YU', 'MKD')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'XAF') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ZF')
		INSERT INTO CountryCurrency VALUES('ZF', 'XAF')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ZMK') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ZM')
		INSERT INTO CountryCurrency VALUES('ZM', 'ZMK')
	IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'ZWL') AND EXISTS(SELECT *FROM [Country] WHERE [Code] = 'ZW')
		INSERT INTO CountryCurrency VALUES('ZW', 'ZWL')
END
GO
IF (SELECT [NationalLanguageCode] FROM [Country] WHERE [Code] = 'AD') IS NULL
BEGIN			
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ca')
		UPDATE [Country] SET [NationalLanguageCode] = 'ca' WHERE [Code] = 'AD'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar')
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'AE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ps')
		UPDATE [Country] SET [NationalLanguageCode] = 'ps' WHERE [Code] = 'AF'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'AG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'AI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'sq')
		UPDATE [Country] SET [NationalLanguageCode] = 'sq' WHERE [Code] = 'AL'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'hy')
		UPDATE [Country] SET [NationalLanguageCode] = 'hy' WHERE [Code] = 'AM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'nl')
		UPDATE [Country] SET [NationalLanguageCode] = 'nl' WHERE [Code] = 'AN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'pt')
		UPDATE [Country] SET [NationalLanguageCode] = 'pt' WHERE [Code] = 'AO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'AR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'sm')
		UPDATE [Country] SET [NationalLanguageCode] = 'sm' WHERE [Code] = 'AS'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'de')
		UPDATE [Country] SET [NationalLanguageCode] = 'de' WHERE [Code] = 'AT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'AU'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'nl')
		UPDATE [Country] SET [NationalLanguageCode] = 'nl' WHERE [Code] = 'AW'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'az')
		UPDATE [Country] SET [NationalLanguageCode] = 'az' WHERE [Code] = 'AZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'bs')
		UPDATE [Country] SET [NationalLanguageCode] = 'bs' WHERE [Code] = 'BA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'BB'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'bn')
		UPDATE [Country] SET [NationalLanguageCode] = 'bn' WHERE [Code] = 'BD'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'nl')
		UPDATE [Country] SET [NationalLanguageCode] = 'nl' WHERE [Code] = 'BE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'BF'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'bg')
		UPDATE [Country] SET [NationalLanguageCode] = 'bg' WHERE [Code] = 'BG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar')
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'BH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'rn')
		UPDATE [Country] SET [NationalLanguageCode] = 'rn' WHERE [Code] = 'BI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'BJ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'BM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ms')
		UPDATE [Country] SET [NationalLanguageCode] = 'ms' WHERE [Code] = 'BN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'BO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'pt')
		UPDATE [Country] SET [NationalLanguageCode] = 'pt' WHERE [Code] = 'BR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'BS'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'dz')
		UPDATE [Country] SET [NationalLanguageCode] = 'dz' WHERE [Code] = 'BT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'no')
		UPDATE [Country] SET [NationalLanguageCode] = 'no' WHERE [Code] = 'BV'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'BW'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'be')
		UPDATE [Country] SET [NationalLanguageCode] = 'be' WHERE [Code] = 'BY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'BZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'CA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'CC'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'CF'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'CG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'de')
		UPDATE [Country] SET [NationalLanguageCode] = 'de' WHERE [Code] = 'CH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'CI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'CK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'CL'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'CM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'zh')
		UPDATE [Country] SET [NationalLanguageCode] = 'zh' WHERE [Code] = 'CN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'CO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'CR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'CU'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'pt')
		UPDATE [Country] SET [NationalLanguageCode] = 'pt' WHERE [Code] = 'CV'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'CX'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'el')
		UPDATE [Country] SET [NationalLanguageCode] = 'el' WHERE [Code] = 'CY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'cs')
		UPDATE [Country] SET [NationalLanguageCode] = 'cs' WHERE [Code] = 'CZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'de')
		UPDATE [Country] SET [NationalLanguageCode] = 'de' WHERE [Code] = 'DE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar')
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'DJ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'da')
		UPDATE [Country] SET [NationalLanguageCode] = 'da' WHERE [Code] = 'DK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'DM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'DO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar')
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'DZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'EC'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'et')
		UPDATE [Country] SET [NationalLanguageCode] = 'et' WHERE [Code] = 'EE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar')
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'EG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar')
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'EH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ti')
		UPDATE [Country] SET [NationalLanguageCode] = 'ti' WHERE [Code] = 'ER'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'ES'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'am')
		UPDATE [Country] SET [NationalLanguageCode] = 'am' WHERE [Code] = 'ET'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fi')
		UPDATE [Country] SET [NationalLanguageCode] = 'fi' WHERE [Code] = 'FI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'FJ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'FK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fo')
		UPDATE [Country] SET [NationalLanguageCode] = 'fo' WHERE [Code] = 'FO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'FR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'GA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'GB'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'GD'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ka')
		UPDATE [Country] SET [NationalLanguageCode] = 'ka' WHERE [Code] = 'GE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'GF'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'GH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'GI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'da')
		UPDATE [Country] SET [NationalLanguageCode] = 'da' WHERE [Code] = 'GL'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'GM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'GN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr')
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'GP'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'GQ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'el')
		UPDATE [Country] SET [NationalLanguageCode] = 'el' WHERE [Code] = 'GR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'GT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'pt')
		UPDATE [Country] SET [NationalLanguageCode] = 'pt' WHERE [Code] = 'GW'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'GY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'zh')
		UPDATE [Country] SET [NationalLanguageCode] = 'zh' WHERE [Code] = 'HK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en')
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'HM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es')
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'HN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'hr')
		UPDATE [Country] SET [NationalLanguageCode] = 'hr' WHERE [Code] = 'HR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ht')
		UPDATE [Country] SET [NationalLanguageCode] = 'ht' WHERE [Code] = 'HT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'hu') 
		UPDATE [Country] SET [NationalLanguageCode] = 'hu' WHERE [Code] = 'HU'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'id') 
		UPDATE [Country] SET [NationalLanguageCode] = 'id' WHERE [Code] = 'ID'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ga') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ga' WHERE [Code] = 'IE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'he') 
		UPDATE [Country] SET [NationalLanguageCode] = 'he' WHERE [Code] = 'IL'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'hi') 
		UPDATE [Country] SET [NationalLanguageCode] = 'hi' WHERE [Code] = 'IN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'IO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'IQ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fa') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fa' WHERE [Code] = 'IR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'is') 
		UPDATE [Country] SET [NationalLanguageCode] = 'is' WHERE [Code] = 'IS'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'it') 
		UPDATE [Country] SET [NationalLanguageCode] = 'it' WHERE [Code] = 'IT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'JM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'JO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ja') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ja' WHERE [Code] = 'JP'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'sw') 
		UPDATE [Country] SET [NationalLanguageCode] = 'sw' WHERE [Code] = 'KE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ky') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ky' WHERE [Code] = 'KG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'km') 
		UPDATE [Country] SET [NationalLanguageCode] = 'km' WHERE [Code] = 'KH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'KI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'KM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'KN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ko') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ko' WHERE [Code] = 'KP'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ko') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ko' WHERE [Code] = 'KR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'KW'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'KY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'kk') 
		UPDATE [Country] SET [NationalLanguageCode] = 'kk' WHERE [Code] = 'KZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'lo') 
		UPDATE [Country] SET [NationalLanguageCode] = 'lo' WHERE [Code] = 'LA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'LB'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'LC'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'de') 
		UPDATE [Country] SET [NationalLanguageCode] = 'de' WHERE [Code] = 'LI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'si') 
		UPDATE [Country] SET [NationalLanguageCode] = 'si' WHERE [Code] = 'LK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'LR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'st') 
		UPDATE [Country] SET [NationalLanguageCode] = 'st' WHERE [Code] = 'LS'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'lt') 
		UPDATE [Country] SET [NationalLanguageCode] = 'lt' WHERE [Code] = 'LT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'lb') 
		UPDATE [Country] SET [NationalLanguageCode] = 'lb' WHERE [Code] = 'LU'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'lv') 
		UPDATE [Country] SET [NationalLanguageCode] = 'lv' WHERE [Code] = 'LV'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'LY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'MA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'MC'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'mo') 
		UPDATE [Country] SET [NationalLanguageCode] = 'mo' WHERE [Code] = 'MD'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'mg') 
		UPDATE [Country] SET [NationalLanguageCode] = 'mg' WHERE [Code] = 'MG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'MH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'mk') 
		UPDATE [Country] SET [NationalLanguageCode] = 'mk' WHERE [Code] = 'MK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'ML'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'my') 
		UPDATE [Country] SET [NationalLanguageCode] = 'my' WHERE [Code] = 'MM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'mn') 
		UPDATE [Country] SET [NationalLanguageCode] = 'mn' WHERE [Code] = 'MN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'zh') 
		UPDATE [Country] SET [NationalLanguageCode] = 'zh' WHERE [Code] = 'MO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'MP'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'MR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'MS'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'mt') 
		UPDATE [Country] SET [NationalLanguageCode] = 'mt' WHERE [Code] = 'MT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'MU'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'dv') 
		UPDATE [Country] SET [NationalLanguageCode] = 'dv' WHERE [Code] = 'MV'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'MW'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'MX'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ms') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ms' WHERE [Code] = 'MY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'pt') 
		UPDATE [Country] SET [NationalLanguageCode] = 'pt' WHERE [Code] = 'MZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'NA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'NC'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'NE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'NF'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'NG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'NI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'nl') 
		UPDATE [Country] SET [NationalLanguageCode] = 'nl' WHERE [Code] = 'NL'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'no') 
		UPDATE [Country] SET [NationalLanguageCode] = 'no' WHERE [Code] = 'NO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ne') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ne' WHERE [Code] = 'NP'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'NR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'NU'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'NZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'OM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'PA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'PE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'PF'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'PG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'tl') 
		UPDATE [Country] SET [NationalLanguageCode] = 'tl' WHERE [Code] = 'PH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ur') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ur' WHERE [Code] = 'PK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'pl') 
		UPDATE [Country] SET [NationalLanguageCode] = 'pl' WHERE [Code] = 'PL'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'PM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'PN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'PR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'pt') 
		UPDATE [Country] SET [NationalLanguageCode] = 'pt' WHERE [Code] = 'PT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'PW'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'PY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'QA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'RE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ro') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ro' WHERE [Code] = 'RO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ru') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ru' WHERE [Code] = 'RU'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'RW'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'SA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ms') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ms' WHERE [Code] = 'SB'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'SC'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'SD'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'sv') 
		UPDATE [Country] SET [NationalLanguageCode] = 'sv' WHERE [Code] = 'SE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'SG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'SH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'sl') 
		UPDATE [Country] SET [NationalLanguageCode] = 'sl' WHERE [Code] = 'SI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'no') 
		UPDATE [Country] SET [NationalLanguageCode] = 'no' WHERE [Code] = 'SJ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'sk') 
		UPDATE [Country] SET [NationalLanguageCode] = 'sk' WHERE [Code] = 'SK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'SL'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'it') 
		UPDATE [Country] SET [NationalLanguageCode] = 'it' WHERE [Code] = 'SM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'SN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'so') 
		UPDATE [Country] SET [NationalLanguageCode] = 'so' WHERE [Code] = 'SO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'nl') 
		UPDATE [Country] SET [NationalLanguageCode] = 'nl' WHERE [Code] = 'SR'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'pt') 
		UPDATE [Country] SET [NationalLanguageCode] = 'pt' WHERE [Code] = 'ST'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'SV'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'SY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'SZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'TC'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'TD'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'TF'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'TG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'th') 
		UPDATE [Country] SET [NationalLanguageCode] = 'th' WHERE [Code] = 'TH'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'tg') 
		UPDATE [Country] SET [NationalLanguageCode] = 'tg' WHERE [Code] = 'TJ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'TK'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'tk') 
		UPDATE [Country] SET [NationalLanguageCode] = 'tk' WHERE [Code] = 'TM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'TN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'TO'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'TT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'TV'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'sw') 
		UPDATE [Country] SET [NationalLanguageCode] = 'sw' WHERE [Code] = 'TZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'uk') 
		UPDATE [Country] SET [NationalLanguageCode] = 'uk' WHERE [Code] = 'UA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'UG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'UM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'US'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'UY'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'uz') 
		UPDATE [Country] SET [NationalLanguageCode] = 'uz' WHERE [Code] = 'UZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'la') 
		UPDATE [Country] SET [NationalLanguageCode] = 'la' WHERE [Code] = 'VA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'VC'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'es') 
		UPDATE [Country] SET [NationalLanguageCode] = 'es' WHERE [Code] = 'VE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'VG'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'VI'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'vi') 
		UPDATE [Country] SET [NationalLanguageCode] = 'vi' WHERE [Code] = 'VN'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'VU'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'WF'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'WS'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ar') 
		UPDATE [Country] SET [NationalLanguageCode] = 'ar' WHERE [Code] = 'YE'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'fr') 
		UPDATE [Country] SET [NationalLanguageCode] = 'fr' WHERE [Code] = 'YT'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'ZA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'ZM'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'en') 
		UPDATE [Country] SET [NationalLanguageCode] = 'en' WHERE [Code] = 'ZW'
END
GO
--Заполнение колонки языков автозаполнения (данные заносятся если редкоиспользуемая страна AD не имеет значение)
IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'AutofillingLanguageCode' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='Country')
BEGIN
	ALTER TABLE [Country] ADD [AutofillingLanguageCode] TCode NULL
END
GO
IF (SELECT [AutofillingLanguageCode] FROM [Country] WHERE [Code] = 'AD') IS NULL
BEGIN
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ca')
		UPDATE [Country] SET [AutofillingLanguageCode] = 'ca' WHERE [Code] = 'AD'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'ru')
		UPDATE [Country] SET [AutofillingLanguageCode] = 'ru' WHERE [Code] IN ('RU', 'BY', 'KZ')
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'uk') 
		UPDATE [Country] SET [AutofillingLanguageCode] = 'uk' WHERE [Code] = 'UA'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'az')
		UPDATE [Country] SET [AutofillingLanguageCode] = 'az' WHERE [Code] = 'AZ'
	IF EXISTS(SELECT *FROM [LanguageCode] WHERE [Code] = 'lv') 
		UPDATE [Country] SET [AutofillingLanguageCode] = 'lv' WHERE [Code] = 'LV'
END

--Определить язык записей по национальной валюте
IF NOT EXISTS (SELECT * FROM [F41AB0F8-FDF0-4FAD-9B71-8F17B4A51B53] WHERE [Group] = 'Pjm6' AND [Name]='ProjectLanguageCode')
BEGIN
	DECLARE	
		@value						TVariant,
		@NationalCurrency			TCode3,
		@Country					TCode3,
		@AutofillingLanguage		TCode,
		@AutofillingLanguageID		TIdentifier,
		@AutofillingLanguageState	TState,
		@rv							int
	
	EXEC adfParameterGet @Name='NationalCurrency', @Group='CommonBusiness', @Value = @value OUTPUT
	SET @NationalCurrency = CAST(@value as CHAR(3))
	
	IF (SELECT COUNT(*) FROM [CountryCurrency] WHERE [CurrencyCode] = @NationalCurrency) = 1
	BEGIN
		SET @Country = (SELECT [CountryCode] FROM [CountryCurrency] WHERE [CurrencyCode] = @NationalCurrency)
		SET @AutofillingLanguage = (SELECT ISNULL([AutofillingLanguageCode], [NationalLanguageCode]) FROM [Country] WHERE [Code] = @Country)
		IF @AutofillingLanguage IS NULL
			SET @AutofillingLanguage = 'ru'
	END
	ELSE
		SET @AutofillingLanguage = 'ru'
	
	SELECT 
		@AutofillingLanguageID		= [ID],
		@AutofillingLanguageState	= [State]
	FROM 
		[LanguageCode] 
	WHERE 
		[Code] = @AutofillingLanguage
		
	IF @AutofillingLanguageID IS NOT NULL
	BEGIN
		IF @AutofillingLanguageState = 2
			EXEC pjm6LanguageCodeChangeState @AutofillingLanguageID, 1
		EXEC adfParameterSet 'ProjectLanguageCode', 'Pjm6', @AutofillingLanguage
	END	
END
GO

--Заполнение колонки с цифровым кодом страны
IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'NumericCode' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='Country')
BEGIN
	ALTER TABLE [Country] ADD [NumericCode] TCode3 NULL
END
GO

IF (SELECT [NumericCode] FROM [Country] WHERE [Code] = 'AD') IS NULL
BEGIN
	UPDATE [Country] SET [NumericCode] = '020' WHERE [Code] = 'AD'
	UPDATE [Country] SET [NumericCode] = '784' WHERE [Code] = 'AE'
	UPDATE [Country] SET [NumericCode] = '004' WHERE [Code] = 'AF'
	UPDATE [Country] SET [NumericCode] = '028' WHERE [Code] = 'AG'
	UPDATE [Country] SET [NumericCode] = '660' WHERE [Code] = 'AI'
	UPDATE [Country] SET [NumericCode] = '008' WHERE [Code] = 'AL'
	UPDATE [Country] SET [NumericCode] = '051' WHERE [Code] = 'AM'
	UPDATE [Country] SET [NumericCode] = '530' WHERE [Code] = 'AN'
	UPDATE [Country] SET [NumericCode] = '024' WHERE [Code] = 'AO'
	UPDATE [Country] SET [NumericCode] = '032' WHERE [Code] = 'AR'
	UPDATE [Country] SET [NumericCode] = '016' WHERE [Code] = 'AS'
	UPDATE [Country] SET [NumericCode] = '040' WHERE [Code] = 'AT'
	UPDATE [Country] SET [NumericCode] = '036' WHERE [Code] = 'AU'
	UPDATE [Country] SET [NumericCode] = '533' WHERE [Code] = 'AW'
	UPDATE [Country] SET [NumericCode] = '031' WHERE [Code] = 'AZ'
	UPDATE [Country] SET [NumericCode] = '070' WHERE [Code] = 'BA'
	UPDATE [Country] SET [NumericCode] = '052' WHERE [Code] = 'BB'
	UPDATE [Country] SET [NumericCode] = '050' WHERE [Code] = 'BD'
	UPDATE [Country] SET [NumericCode] = '056' WHERE [Code] = 'BE'
	UPDATE [Country] SET [NumericCode] = '854' WHERE [Code] = 'BF'
	UPDATE [Country] SET [NumericCode] = '100' WHERE [Code] = 'BG'
	UPDATE [Country] SET [NumericCode] = '048' WHERE [Code] = 'BH'
	UPDATE [Country] SET [NumericCode] = '108' WHERE [Code] = 'BI'
	UPDATE [Country] SET [NumericCode] = '204' WHERE [Code] = 'BJ'
	UPDATE [Country] SET [NumericCode] = '060' WHERE [Code] = 'BM'
	UPDATE [Country] SET [NumericCode] = '096' WHERE [Code] = 'BN'
	UPDATE [Country] SET [NumericCode] = '068' WHERE [Code] = 'BO'
	UPDATE [Country] SET [NumericCode] = '076' WHERE [Code] = 'BR'
	UPDATE [Country] SET [NumericCode] = '044' WHERE [Code] = 'BS'
	UPDATE [Country] SET [NumericCode] = '064' WHERE [Code] = 'BT'
	UPDATE [Country] SET [NumericCode] = '074' WHERE [Code] = 'BV'
	UPDATE [Country] SET [NumericCode] = '072' WHERE [Code] = 'BW'
	UPDATE [Country] SET [NumericCode] = '112' WHERE [Code] = 'BY'
	UPDATE [Country] SET [NumericCode] = '084' WHERE [Code] = 'BZ'
	UPDATE [Country] SET [NumericCode] = '124' WHERE [Code] = 'CA'
	UPDATE [Country] SET [NumericCode] = '166' WHERE [Code] = 'CC'
	UPDATE [Country] SET [NumericCode] = '140' WHERE [Code] = 'CF'
	UPDATE [Country] SET [NumericCode] = '178' WHERE [Code] = 'CG'
	UPDATE [Country] SET [NumericCode] = '756' WHERE [Code] = 'CH'
	UPDATE [Country] SET [NumericCode] = '384' WHERE [Code] = 'CI'
	UPDATE [Country] SET [NumericCode] = '184' WHERE [Code] = 'CK'
	UPDATE [Country] SET [NumericCode] = '152' WHERE [Code] = 'CL'
	UPDATE [Country] SET [NumericCode] = '120' WHERE [Code] = 'CM'
	UPDATE [Country] SET [NumericCode] = '156' WHERE [Code] = 'CN'
	UPDATE [Country] SET [NumericCode] = '170' WHERE [Code] = 'CO'
	UPDATE [Country] SET [NumericCode] = '188' WHERE [Code] = 'CR'
	UPDATE [Country] SET [NumericCode] = '192' WHERE [Code] = 'CU'
	UPDATE [Country] SET [NumericCode] = '132' WHERE [Code] = 'CV'
	UPDATE [Country] SET [NumericCode] = '162' WHERE [Code] = 'CX'
	UPDATE [Country] SET [NumericCode] = '196' WHERE [Code] = 'CY'
	UPDATE [Country] SET [NumericCode] = '203' WHERE [Code] = 'CZ'
	UPDATE [Country] SET [NumericCode] = '276' WHERE [Code] = 'DE'
	UPDATE [Country] SET [NumericCode] = '262' WHERE [Code] = 'DJ'
	UPDATE [Country] SET [NumericCode] = '208' WHERE [Code] = 'DK'
	UPDATE [Country] SET [NumericCode] = '212' WHERE [Code] = 'DM'
	UPDATE [Country] SET [NumericCode] = '214' WHERE [Code] = 'DO'
	UPDATE [Country] SET [NumericCode] = '012' WHERE [Code] = 'DZ'
	UPDATE [Country] SET [NumericCode] = '218' WHERE [Code] = 'EC'
	UPDATE [Country] SET [NumericCode] = '233' WHERE [Code] = 'EE'
	UPDATE [Country] SET [NumericCode] = '818' WHERE [Code] = 'EG'
	UPDATE [Country] SET [NumericCode] = '732' WHERE [Code] = 'EH'
	UPDATE [Country] SET [NumericCode] = '232' WHERE [Code] = 'ER'
	UPDATE [Country] SET [NumericCode] = '724' WHERE [Code] = 'ES'
	UPDATE [Country] SET [NumericCode] = '231' WHERE [Code] = 'ET'
	UPDATE [Country] SET [NumericCode] = '246' WHERE [Code] = 'FI'
	UPDATE [Country] SET [NumericCode] = '242' WHERE [Code] = 'FJ'
	UPDATE [Country] SET [NumericCode] = '238' WHERE [Code] = 'FK'
	UPDATE [Country] SET [NumericCode] = '234' WHERE [Code] = 'FO'
	UPDATE [Country] SET [NumericCode] = '250' WHERE [Code] = 'FR'
	UPDATE [Country] SET [NumericCode] = '266' WHERE [Code] = 'GA'
	UPDATE [Country] SET [NumericCode] = '826' WHERE [Code] = 'GB'
	UPDATE [Country] SET [NumericCode] = '308' WHERE [Code] = 'GD'
	UPDATE [Country] SET [NumericCode] = '268' WHERE [Code] = 'GE'
	UPDATE [Country] SET [NumericCode] = '254' WHERE [Code] = 'GF'
	UPDATE [Country] SET [NumericCode] = '288' WHERE [Code] = 'GH'
	UPDATE [Country] SET [NumericCode] = '292' WHERE [Code] = 'GI'
	UPDATE [Country] SET [NumericCode] = '304' WHERE [Code] = 'GL'
	UPDATE [Country] SET [NumericCode] = '270' WHERE [Code] = 'GM'
	UPDATE [Country] SET [NumericCode] = '324' WHERE [Code] = 'GN'
	UPDATE [Country] SET [NumericCode] = '312' WHERE [Code] = 'GP'
	UPDATE [Country] SET [NumericCode] = '226' WHERE [Code] = 'GQ'
	UPDATE [Country] SET [NumericCode] = '300' WHERE [Code] = 'GR'
	UPDATE [Country] SET [NumericCode] = '320' WHERE [Code] = 'GT'
	UPDATE [Country] SET [NumericCode] = '624' WHERE [Code] = 'GW'
	UPDATE [Country] SET [NumericCode] = '328' WHERE [Code] = 'GY'
	UPDATE [Country] SET [NumericCode] = '344' WHERE [Code] = 'HK'
	UPDATE [Country] SET [NumericCode] = '334' WHERE [Code] = 'HM'
	UPDATE [Country] SET [NumericCode] = '340' WHERE [Code] = 'HN'
	UPDATE [Country] SET [NumericCode] = '191' WHERE [Code] = 'HR'
	UPDATE [Country] SET [NumericCode] = '332' WHERE [Code] = 'HT'
	UPDATE [Country] SET [NumericCode] = '348' WHERE [Code] = 'HU'
	UPDATE [Country] SET [NumericCode] = '360' WHERE [Code] = 'ID'
	UPDATE [Country] SET [NumericCode] = '372' WHERE [Code] = 'IE'
	UPDATE [Country] SET [NumericCode] = '376' WHERE [Code] = 'IL'
	UPDATE [Country] SET [NumericCode] = '356' WHERE [Code] = 'IN'
	UPDATE [Country] SET [NumericCode] = '086' WHERE [Code] = 'IO'
	UPDATE [Country] SET [NumericCode] = '368' WHERE [Code] = 'IQ'
	UPDATE [Country] SET [NumericCode] = '364' WHERE [Code] = 'IR'
	UPDATE [Country] SET [NumericCode] = '352' WHERE [Code] = 'IS'
	UPDATE [Country] SET [NumericCode] = '380' WHERE [Code] = 'IT'
	UPDATE [Country] SET [NumericCode] = '388' WHERE [Code] = 'JM'
	UPDATE [Country] SET [NumericCode] = '400' WHERE [Code] = 'JO'
	UPDATE [Country] SET [NumericCode] = '392' WHERE [Code] = 'JP'
	UPDATE [Country] SET [NumericCode] = '404' WHERE [Code] = 'KE'
	UPDATE [Country] SET [NumericCode] = '417' WHERE [Code] = 'KG'
	UPDATE [Country] SET [NumericCode] = '116' WHERE [Code] = 'KH'
	UPDATE [Country] SET [NumericCode] = '296' WHERE [Code] = 'KI'
	UPDATE [Country] SET [NumericCode] = '174' WHERE [Code] = 'KM'
	UPDATE [Country] SET [NumericCode] = '659' WHERE [Code] = 'KN'
	UPDATE [Country] SET [NumericCode] = '408' WHERE [Code] = 'KP'
	UPDATE [Country] SET [NumericCode] = '410' WHERE [Code] = 'KR'
	UPDATE [Country] SET [NumericCode] = '414' WHERE [Code] = 'KW'
	UPDATE [Country] SET [NumericCode] = '136' WHERE [Code] = 'KY'
	UPDATE [Country] SET [NumericCode] = '398' WHERE [Code] = 'KZ'
	UPDATE [Country] SET [NumericCode] = '418' WHERE [Code] = 'LA'
	UPDATE [Country] SET [NumericCode] = '422' WHERE [Code] = 'LB'
	UPDATE [Country] SET [NumericCode] = '662' WHERE [Code] = 'LC'
	UPDATE [Country] SET [NumericCode] = '438' WHERE [Code] = 'LI'
	UPDATE [Country] SET [NumericCode] = '144' WHERE [Code] = 'LK'
	UPDATE [Country] SET [NumericCode] = '430' WHERE [Code] = 'LR'
	UPDATE [Country] SET [NumericCode] = '426' WHERE [Code] = 'LS'
	UPDATE [Country] SET [NumericCode] = '440' WHERE [Code] = 'LT'
	UPDATE [Country] SET [NumericCode] = '442' WHERE [Code] = 'LU'
	UPDATE [Country] SET [NumericCode] = '428' WHERE [Code] = 'LV'
	UPDATE [Country] SET [NumericCode] = '434' WHERE [Code] = 'LY'
	UPDATE [Country] SET [NumericCode] = '504' WHERE [Code] = 'MA'
	UPDATE [Country] SET [NumericCode] = '492' WHERE [Code] = 'MC'
	UPDATE [Country] SET [NumericCode] = '498' WHERE [Code] = 'MD'
	UPDATE [Country] SET [NumericCode] = '450' WHERE [Code] = 'MG'
	UPDATE [Country] SET [NumericCode] = '584' WHERE [Code] = 'MH'
	UPDATE [Country] SET [NumericCode] = '807' WHERE [Code] = 'MK'
	UPDATE [Country] SET [NumericCode] = '466' WHERE [Code] = 'ML'
	UPDATE [Country] SET [NumericCode] = '104' WHERE [Code] = 'MM'
	UPDATE [Country] SET [NumericCode] = '496' WHERE [Code] = 'MN'
	UPDATE [Country] SET [NumericCode] = '446' WHERE [Code] = 'MO'
	UPDATE [Country] SET [NumericCode] = '580' WHERE [Code] = 'MP'
	UPDATE [Country] SET [NumericCode] = '478' WHERE [Code] = 'MR'
	UPDATE [Country] SET [NumericCode] = '500' WHERE [Code] = 'MS'
	UPDATE [Country] SET [NumericCode] = '470' WHERE [Code] = 'MT'
	UPDATE [Country] SET [NumericCode] = '480' WHERE [Code] = 'MU'
	UPDATE [Country] SET [NumericCode] = '462' WHERE [Code] = 'MV'
	UPDATE [Country] SET [NumericCode] = '454' WHERE [Code] = 'MW'
	UPDATE [Country] SET [NumericCode] = '484' WHERE [Code] = 'MX'
	UPDATE [Country] SET [NumericCode] = '458' WHERE [Code] = 'MY'
	UPDATE [Country] SET [NumericCode] = '508' WHERE [Code] = 'MZ'
	UPDATE [Country] SET [NumericCode] = '516' WHERE [Code] = 'NA'
	UPDATE [Country] SET [NumericCode] = '540' WHERE [Code] = 'NC'
	UPDATE [Country] SET [NumericCode] = '562' WHERE [Code] = 'NE'
	UPDATE [Country] SET [NumericCode] = '574' WHERE [Code] = 'NF'
	UPDATE [Country] SET [NumericCode] = '566' WHERE [Code] = 'NG'
	UPDATE [Country] SET [NumericCode] = '558' WHERE [Code] = 'NI'
	UPDATE [Country] SET [NumericCode] = '528' WHERE [Code] = 'NL'
	UPDATE [Country] SET [NumericCode] = '578' WHERE [Code] = 'NO'
	UPDATE [Country] SET [NumericCode] = '524' WHERE [Code] = 'NP'
	UPDATE [Country] SET [NumericCode] = '520' WHERE [Code] = 'NR'
	UPDATE [Country] SET [NumericCode] = '570' WHERE [Code] = 'NU'
	UPDATE [Country] SET [NumericCode] = '554' WHERE [Code] = 'NZ'
	UPDATE [Country] SET [NumericCode] = '512' WHERE [Code] = 'OM'
	UPDATE [Country] SET [NumericCode] = '591' WHERE [Code] = 'PA'
	UPDATE [Country] SET [NumericCode] = '604' WHERE [Code] = 'PE'
	UPDATE [Country] SET [NumericCode] = '258' WHERE [Code] = 'PF'
	UPDATE [Country] SET [NumericCode] = '598' WHERE [Code] = 'PG'
	UPDATE [Country] SET [NumericCode] = '608' WHERE [Code] = 'PH'
	UPDATE [Country] SET [NumericCode] = '586' WHERE [Code] = 'PK'
	UPDATE [Country] SET [NumericCode] = '616' WHERE [Code] = 'PL'
	UPDATE [Country] SET [NumericCode] = '666' WHERE [Code] = 'PM'
	UPDATE [Country] SET [NumericCode] = '612' WHERE [Code] = 'PN'
	UPDATE [Country] SET [NumericCode] = '630' WHERE [Code] = 'PR'
	UPDATE [Country] SET [NumericCode] = '620' WHERE [Code] = 'PT'
	UPDATE [Country] SET [NumericCode] = '584' WHERE [Code] = 'PW'
	UPDATE [Country] SET [NumericCode] = '600' WHERE [Code] = 'PY'
	UPDATE [Country] SET [NumericCode] = '634' WHERE [Code] = 'QA'
	UPDATE [Country] SET [NumericCode] = '638' WHERE [Code] = 'RE'
	UPDATE [Country] SET [NumericCode] = '642' WHERE [Code] = 'RO'
	UPDATE [Country] SET [NumericCode] = '643' WHERE [Code] = 'RU'
	UPDATE [Country] SET [NumericCode] = '646' WHERE [Code] = 'RW'
	UPDATE [Country] SET [NumericCode] = '682' WHERE [Code] = 'SA'
	UPDATE [Country] SET [NumericCode] = '090' WHERE [Code] = 'SB'
	UPDATE [Country] SET [NumericCode] = '690' WHERE [Code] = 'SC'
	UPDATE [Country] SET [NumericCode] = '736' WHERE [Code] = 'SD'
	UPDATE [Country] SET [NumericCode] = '752' WHERE [Code] = 'SE'
	UPDATE [Country] SET [NumericCode] = '702' WHERE [Code] = 'SG'
	UPDATE [Country] SET [NumericCode] = '654' WHERE [Code] = 'SH'
	UPDATE [Country] SET [NumericCode] = '705' WHERE [Code] = 'SI'
	UPDATE [Country] SET [NumericCode] = '744' WHERE [Code] = 'SJ'
	UPDATE [Country] SET [NumericCode] = '703' WHERE [Code] = 'SK'
	UPDATE [Country] SET [NumericCode] = '694' WHERE [Code] = 'SL'
	UPDATE [Country] SET [NumericCode] = '674' WHERE [Code] = 'SM'
	UPDATE [Country] SET [NumericCode] = '676' WHERE [Code] = 'SN'
	UPDATE [Country] SET [NumericCode] = '706' WHERE [Code] = 'SO'
	UPDATE [Country] SET [NumericCode] = '740' WHERE [Code] = 'SR'
	UPDATE [Country] SET [NumericCode] = '678' WHERE [Code] = 'ST'
	UPDATE [Country] SET [NumericCode] = '222' WHERE [Code] = 'SV'
	UPDATE [Country] SET [NumericCode] = '760' WHERE [Code] = 'SY'
	UPDATE [Country] SET [NumericCode] = '748' WHERE [Code] = 'SZ'
	UPDATE [Country] SET [NumericCode] = '796' WHERE [Code] = 'TC'
	UPDATE [Country] SET [NumericCode] = '148' WHERE [Code] = 'TD'
	UPDATE [Country] SET [NumericCode] = '260' WHERE [Code] = 'TF'
	UPDATE [Country] SET [NumericCode] = '768' WHERE [Code] = 'TG'
	UPDATE [Country] SET [NumericCode] = '764' WHERE [Code] = 'TH'
	UPDATE [Country] SET [NumericCode] = '762' WHERE [Code] = 'TJ'
	UPDATE [Country] SET [NumericCode] = '772' WHERE [Code] = 'TK'
	UPDATE [Country] SET [NumericCode] = '795' WHERE [Code] = 'TM'
	UPDATE [Country] SET [NumericCode] = '788' WHERE [Code] = 'TN'
	UPDATE [Country] SET [NumericCode] = '776' WHERE [Code] = 'TO'
	UPDATE [Country] SET [NumericCode] = '780' WHERE [Code] = 'TT'
	UPDATE [Country] SET [NumericCode] = '798' WHERE [Code] = 'TV'
	UPDATE [Country] SET [NumericCode] = '834' WHERE [Code] = 'TZ'
	UPDATE [Country] SET [NumericCode] = '804' WHERE [Code] = 'UA'
	UPDATE [Country] SET [NumericCode] = '780' WHERE [Code] = 'UG'
	UPDATE [Country] SET [NumericCode] = '581' WHERE [Code] = 'UM'
	UPDATE [Country] SET [NumericCode] = '840' WHERE [Code] = 'US'
	UPDATE [Country] SET [NumericCode] = '858' WHERE [Code] = 'UY'
	UPDATE [Country] SET [NumericCode] = '860' WHERE [Code] = 'UZ'
	UPDATE [Country] SET [NumericCode] = '336' WHERE [Code] = 'VA'
	UPDATE [Country] SET [NumericCode] = '670' WHERE [Code] = 'VC'
	UPDATE [Country] SET [NumericCode] = '862' WHERE [Code] = 'VE'
	UPDATE [Country] SET [NumericCode] = '092' WHERE [Code] = 'VG'
	UPDATE [Country] SET [NumericCode] = '850' WHERE [Code] = 'VI'
	UPDATE [Country] SET [NumericCode] = '704' WHERE [Code] = 'VN'
	UPDATE [Country] SET [NumericCode] = '548' WHERE [Code] = 'VU'
	UPDATE [Country] SET [NumericCode] = '876' WHERE [Code] = 'WF'
	UPDATE [Country] SET [NumericCode] = '882' WHERE [Code] = 'WS'
	UPDATE [Country] SET [NumericCode] = '887' WHERE [Code] = 'YE'
	UPDATE [Country] SET [NumericCode] = '175' WHERE [Code] = 'YT'
	UPDATE [Country] SET [NumericCode] = '710' WHERE [Code] = 'ZA'
	UPDATE [Country] SET [NumericCode] = '894' WHERE [Code] = 'ZM'
	UPDATE [Country] SET [NumericCode] = '716' WHERE [Code] = 'ZW'
	UPDATE [Country] SET [NumericCode] = '010' WHERE [Code] = 'AQ'
	UPDATE [Country] SET [NumericCode] = '583' WHERE [Code] = 'FM'
	UPDATE [Country] SET [NumericCode] = '316' WHERE [Code] = 'GU'
	UPDATE [Country] SET [NumericCode] = '474' WHERE [Code] = 'MQ'
	UPDATE [Country] SET [NumericCode] = NULL WHERE [Code] = 'TP'
	UPDATE [Country] SET [NumericCode] = '792' WHERE [Code] = 'TR'
	UPDATE [Country] SET [NumericCode] = '158' WHERE [Code] = 'TW'
	UPDATE [Country] SET [NumericCode] = NULL WHERE [Code] = 'YU'
	UPDATE [Country] SET [NumericCode] = NULL WHERE [Code] = 'ZR'
END