
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm6GetLegalFormType]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm6GetLegalFormType'
		DROP FUNCTION [dbo].[fnPjm6GetLegalFormType]
	END

GO

PRINT 'Creating function fnPjm6GetLegalFormType'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm6GetLegalFormType
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**		28.05.10	SPV				First version
**    
*******************************************************************************/
CREATE FUNCTION fnPjm6GetLegalFormType(@number TName, @country TName)
RETURNS TName
AS
BEGIN

	DECLARE
		@len int,
		@sub TName
	
	
	SET @len = LEN(@number)
	
	IF (@len = 12 AND @country = '')
		RETURN ''
	
	RETURN ''
	
END
GO

GRANT EXEC ON fnPjm6GetLegalFormType TO PUBLIC
GO
