IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmReminderType')
	BEGIN
		PRINT 'Dropping Procedure lmReminderType'
		DROP  Procedure  lmReminderType
	END

GO

PRINT 'Creating Procedure lmReminderType'
GO
/******************************************************************************
**		File: 
**		Name: lmReminderType
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmReminderType
AS
	SET NOCOUNT ON
	
	SELECT
		[Subtype],
		[Class],
		[Name],
		[DefaultState],
		[DefaultInterval]
	FROM
		[ReminderType]
	ORDER BY
		[Class]
	
	RETURN 0
GO

GRANT EXEC ON lmReminderType TO PUBLIC
GO
  