IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm5AllUserReminderDismiss]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm5AllUserReminderDismiss'
		DROP PROCEDURE [dbo].[pjm5AllUserReminderDismiss]
	END
GO

PRINT 'Creating procedure pjm5AllUserReminderDismiss'
GO

/******************************************************************************
**		File: pjm5AllUserReminderDismiss.sql
**		Name: pjm5AllUserReminderDismiss
**		Desc: 
**
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: PAM
**		Date: 03/02/2010 17:00:00
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE PROCEDURE [pjm5AllUserReminderDismiss]
	@ReminderID TIdentifier
AS
	SET NOCOUNT ON
	
	UPDATE [UserReminder]
	SET [State] = 0
	WHERE
		[ReminderID] = @ReminderID
	
	RETURN 0
GO

GRANT EXECUTE ON [pjm5AllUserReminderDismiss] TO PUBLIC
GO 