/****** Object:  StoredProcedure [pjmams].[CreateWindowEntry]    Script Date: 12/12/2006 12:24:37 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[pjmams].[CreateWindowEntry]') AND type in (N'P', N'PC'))
BEGIN
	PRINT 'Dropping procedure [pjmams].[CreateWindowEntry]'
	DROP PROCEDURE [pjmams].[CreateWindowEntry]
END
GO

PRINT 'Creating procedure [pjmams].[CreateWindowEntry]'
GO

CREATE PROCEDURE [pjmams].[CreateWindowEntry] 
	@ProcessID INT,
	@Hwnd INT,
	@Caption nvarchar(max)
AS
	SET NOCOUNT ON
	
	INSERT INTO [PJMAMS].[Window] 
		([ProcessId], [HWND], [Caption]) 
	VALUES
		(@ProcessID, @Hwnd, @Caption); 
		
	SELECT SCOPE_IDENTITY();
	
	RETURN 0
GO

GRANT EXECUTE ON [pjmams].[CreateWindowEntry] TO [NT AUTHORITY\NETWORK SERVICE]
GO
  