/****** Object:  StoredProcedure [pjmams].[OpenSession]    Script Date: 12/12/2006 12:24:37 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[pjmams].[OpenSession]') AND type in (N'P', N'PC'))
BEGIN
	PRINT 'Dropping procedure [pjmams].[OpenSession]'
	DROP PROCEDURE [pjmams].[OpenSession]
END
GO

PRINT 'Creating procedure [pjmams].[OpenSession]'
GO

CREATE PROCEDURE [pjmams].[OpenSession] 
	@MachineName nvarchar(128),
	@WinDir nvarchar(256),
	@ProgramFiles nvarchar(256)
AS
	SET NOCOUNT ON
	
	INSERT INTO [PJMAMS].[Session] 
		([MachineName], [WinDir], [ProgramFiles]) 
	VALUES
		(@MachineName, @WinDir, @ProgramFiles); 

	SELECT SCOPE_IDENTITY();
	
	RETURN 0
GO

GRANT EXECUTE ON [pjmams].[OpenSession] TO [NT AUTHORITY\NETWORK SERVICE]
GO
   