IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCompanyTurnoverList')
	BEGIN
		PRINT 'Dropping Procedure adfCompanyTurnoverList'
		DROP  Procedure  adfCompanyTurnoverList
	END

GO

PRINT 'Creating Procedure adfCompanyTurnoverList'
GO
/******************************************************************************
**		File: 
**		Name: adfCompanyTurnoverList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCompanyTurnoverList
AS
	SET NOCOUNT ON
		
	SELECT
		[ID],
		[Code],
		[FileAs] as [Name],
		[State],
		[From]
	FROM
		[CompanyTurnover]
	
	RETURN 0
GO

GRANT EXEC ON adfCompanyTurnoverList TO PUBLIC
GO
