DELETE FROM XmlParameters WHERE Name = 'MasterInfo'

EXEC xmlParameterSet 'PageContent', '
<PageContent>
  
  <MainForm>
	<Title text="  ProjectMate" />
	<SaveAndClose text="      .&#x0a;                   .&#x0a;&#x0a;  ?" />
	<Exit text="      .&#x0a;                    .&#x0a;&#x0a;     ?" />
	<Finish text="      .&#x0a;                      ProjectMate.          .&#x0a;&#x0a;  ?" />
  </MainForm>
  
  <HelloPage>
    <ButtonFinish IsEnabled="false"/>
    <frHeader text="     ProjectMate"/>
    <frBody text="           Avicom ProjectMate.         ,  ,       .              .               .&#x0a;&#x0a; ,        ,              .            ,   ,  ,     .&#x0a;&#x0a;           ,           ProjectMate."/>
  </HelloPage>

  <StartPage>
    <ButtonFinish IsEnabled="false"/>
    <frLegalName text=":"/>
    <frFileAs text=" :"/>
    <frIndustryBranch text=" :"/>
    <frLegalNameDescription text=" ,       " />
    <frFileAsDescription text=" (),     " />
    <frIndustryBranchDescription text="     ,     .      ,         " />
	<frLegalCode text=":"/>
	<frKPP text=":"/>
	<frLegalNameMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty"/>
	<frFileAsMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty"/>
	<frIndustryBranchMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty"/>

    <MasterInfo>
      <source>MasterInfo/Company/LegalName</source>
      <source>MasterInfo/Company/FileAs</source>
      <source>MasterInfo/Company/KPP</source>
      <source>MasterInfo/Company/LegalCode</source>
      <source>MasterInfo/Parameters/IndustryBranch</source>
    </MasterInfo>
  </StartPage>

  <RegionalPage>
	<frCountry text=":"/>
    <frNationalCurrency text=" :"/>
    <frBaseCurrency text=" :"/>
    <frApplyVATMasterInfo content="   "/>
    <frVATRate text=" :"/>
    <frCountryDescription text="      ,        "/>
    <frNationalCurrencyDescription text=" ,   "/>
    <frBaseCurrencyDescription text=",      "/>
    <frVATRateDescription text="          ,        "/>
	<frCountryMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty"/>
    <frNationalCurrencyMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty"/>
    <frVATRateMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty"/>
    <frBaseCurrencyMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty"/>
    
    <frPercent text="%"/>
    
    <MasterInfo>
      <source>MasterInfo/Parameters/Country</source>
      <source>MasterInfo/Parameters/NationalCurrency</source>
      <source>MasterInfo/Parameters/BaseCurrency</source>
      <source>MasterInfo/Parameters/ApplyVAT</source>
      <source>MasterInfo/Parameters/VATRate</source>
    </MasterInfo>
  </RegionalPage>

  <BankAccountPage>
	<frBankName text=":"/>
	<frCountry text=":"/>
	<frCity text=":"/>
	<frAddress text=":"/>
	<frBankCode text=":"/>
	<frCurrencyCode text=":"/>
	<frFileAs text=" :"/>
	<frAccountInformation text=" "/>
	<frAccount text=" :"/>
	<frSWIFT text="SWIFT:"/>
	<frABA text="ABA:"/>
	<frIBAN text="IBAN:"/>
	<frIntermediaryAccountInformation text=" "/>
	<frIntermediaryBank text=":"/>
	<frIntermediaryAddress text=":"/>
	<frIntermediaryAccount text=" :"/>
	<frIntermediarySWIFT text="SWIFT:"/>
	<frIntermediaryABA text="ABA:"/>

	<Resource>
		<BankAccountNameFormatAsNameCityCompany>{0}/{1} ({2})</BankAccountNameFormatAsNameCityCompany>
		<BankAccountNameFormatAsNameCity>{0}/{1}</BankAccountNameFormatAsNameCity>
		<BankAccountNameFormatAsNameCompany>{0} ({1})</BankAccountNameFormatAsNameCompany>
		<BankAccountNameFormatAsCaptionCompany>  ({0})</BankAccountNameFormatAsCaptionCompany>
		<BankAccountNameFormatAsCaption> </BankAccountNameFormatAsCaption>
	</Resource>
	
	<frFileAsMasterInfo ValidationRefresh="IsEmpty"/>
    <frCurrencyCodeMasterInfo ValidationRefresh="IsEmpty"/>

	<MasterInfo>
      <source>MasterInfo/BankAccount/BankName</source>
      <source>MasterInfo/BankAccount/Country</source>
      <source>MasterInfo/BankAccount/City</source>
      <source>MasterInfo/BankAccount/Address</source>
      <source>MasterInfo/BankAccount/BankCode</source>
      <source>MasterInfo/BankAccount/CurrencyCode</source>
      <source>MasterInfo/BankAccount/FileAs</source>
      <source>MasterInfo/BankAccount/Account</source>
      <source>MasterInfo/BankAccount/SWIFT</source>
      <source>MasterInfo/BankAccount/ABA</source>
      <source>MasterInfo/BankAccount/IBAN</source>
      <source>MasterInfo/BankAccount/IntermediaryBank</source>
      <source>MasterInfo/BankAccount/IntermediaryAddress</source>
      <source>MasterInfo/BankAccount/IntermediaryAccount</source>
      <source>MasterInfo/BankAccount/IntermediarySWIFT</source>
      <source>MasterInfo/BankAccount/IntermediaryABA</source>      
    </MasterInfo>
  </BankAccountPage>

  <CalendarPage>
    <frCalendarDataGridDescription text="          .[br][b][i].[/i][/b]       ,            "/>
   
  	<MasterInfo>
      <source>MasterInfo/Parameters/CalendarList</source>
    </MasterInfo>	
	
    <GridSettings>
		<frCalendarDataGrid>
			<column name="Day" header="" length="1" lengthUnitType="Star" type="Text"/>
			<column name="Description" header="" length="3" lengthUnitType="Star" type="Text"/>
		</frCalendarDataGrid>
    </GridSettings>
  </CalendarPage>

  <LegalAddressPage>
    <frLegalStreet text=":"/>
    <frLegalCity text=":"/>
    <frLegalRegion text=":"/>
    <frLegalPostalCode text=":"/>
    <frLegalCountry text=":"/>
    
    <MasterInfo>
      <source>MasterInfo/LegalAddress/Street</source>
      <source>MasterInfo/LegalAddress/City</source>
      <source>MasterInfo/LegalAddress/Region</source>
      <source>MasterInfo/LegalAddress/PostalCode</source>
      <source>MasterInfo/LegalAddress/Country</source>
    </MasterInfo>
  </LegalAddressPage>
  
  <ActualAddressPage>
    <frActualStreet text=":"/>
    <frActualCity text=":"/>
    <frActualRegion text=":"/>
    <frActualPostalCode text=":"/>
    <frActualCountry text=":"/>
    <frEqualActualMasterInfo text="  "/>
    
	<MasterInfo>
      <source>MasterInfo/ActualAddress/Street</source>
      <source>MasterInfo/ActualAddress/City</source>
      <source>MasterInfo/ActualAddress/Region</source>
      <source>MasterInfo/ActualAddress/PostalCode</source>
      <source>MasterInfo/ActualAddress/Country</source>
      <source>MasterInfo/ActualAddress/EqualActual</source>
    </MasterInfo>
  </ActualAddressPage>

  <CompanyContactPage>
    <frPhone text=""/>
    <frFax text=""/>
    <frWeb text="-:"/>
    <frEmail text=". :"/>
    
    <MasterInfo>
      <source>MasterInfo/CompanyContact/Phone</source>
      <source>MasterInfo/CompanyContact/Fax</source>
      <source>MasterInfo/CompanyContact/Web</source>
      <source>MasterInfo/CompanyContact/Email</source>
    </MasterInfo>
  </CompanyContactPage>  

  <DivisionListPage>
    <frDivisionDataGridDescription text="    " />
  
    <MasterInfo>
      <source>MasterInfo/DivisionList</source>
    </MasterInfo>
	
	<GridSettings>
		<frDivisionDataGrid>
			<column name="Description" header="" length="3" lengthUnitType="Star" type="Text"/>
		</frDivisionDataGrid>
    </GridSettings>
  </DivisionListPage>

  <PositionListPage>
    <frPositionDataGridDescription text="  ,    " />
    
    <MasterInfo>
      <source>MasterInfo/PositionList</source>
    </MasterInfo>
	
    <GridSettings>
		<frPositionDataGrid>
			<column name="Description" header="" length="3" lengthUnitType="Star" type="Text"/>
		</frPositionDataGrid>
    </GridSettings>
  </PositionListPage>

  <QualificationListPage>
	<MasterInfo>
      <source>MasterInfo/QualificationList</source>
    </MasterInfo>
    
	<GridSettings>
		<frQualificationDataGrid>
			<column name="Description" header="" length="2" lengthUnitType="Star" type="Text"/>
			<column name="Currency1" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed"/>
			<column name="Currency2" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed"/>
			<column name="Currency3" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed"/>
			<column name="Currency4" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed"/>
		</frQualificationDataGrid>
    </GridSettings>
  </QualificationListPage>

  <EmployeeListPage>
    <frAddButton text="..."/>
	<frUpdateButton text="..."/>
	<!--frDeleteButton text=""/-->
	<frCreateExcel text="..."/>
	<frLoadExcel text="..."/>
	
	<MasterInfo>
      <source>MasterInfo/EmployeeList</source>
    </MasterInfo>

    <GridSettings>
		<frEmployeeDataGrid>
			<column name="FileAs" header=" " length="2" lengthUnitType="Star" type="Text" index="0"/>
			<column name="Position" header="" length="1" lengthUnitType="Star" type="Text" index="1"/>
			<column name="Qualification" header="" length="1" lengthUnitType="Star" type="Text" index="2"/>
			<column name="LastName" header="" type="Text" Visibility="Collapsed"/>
			<column name="FirstName" header="" type="Text" Visibility="Collapsed"/>
			<column name="MiddleName" header="" type="Text" Visibility="Collapsed"/>
			<column name="Division" header="" type="Text" Visibility="Collapsed"/>
			<column name="WorkPhone" header=" " type="Text" Visibility="Collapsed"/>
			<column name="MobilePhone" header=" " type="Text" Visibility="Collapsed"/>
			<column name="Email" header=" " type="Text" Visibility="Collapsed"/>
			<column name="Role" header=" " type="Text" Visibility="Collapsed"/>
			<column name="IsManager" header="" type="Text" Visibility="Collapsed"/>
			<column name="IsChiefAccountant" header=" " type="Text" Visibility="Collapsed"/>
			<column name="WindowsAccount" header="  Windows" type="Text" Visibility="Collapsed"/>
			<column name="SQLAccount" header="" type="Text" Visibility="Collapsed"/>
			<column name="SQLPassword" header="" type="Text" Visibility="Collapsed"/>
		</frEmployeeDataGrid>
    </GridSettings>
    
    <EventHandler>
		<event controlName="frLoadFromExcelButton" type="ClickOnButtonOpenWindowImportFromExcel" dataGrid="frEmployeeDataGrid" headerText="  " OKButtonText="" CloseButtonText=""/>
		<event controlName="frSaveExcelTemplateButton" type="ClickOnButtonSaveExcelTemplate"/>
		<event controlName="frAddButton" type="ClickOnButtonCreateEmployee" dataGrid="frEmployeeDataGrid" headerText="  " OKButtonText="" CloseButtonText=""/>
		<event controlName="frUpdateButton" type="ClickOnButtonUpdateEmployee" dataGrid="frEmployeeDataGrid" headerText="  " OKButtonText="" CloseButtonText=""/>
    </EventHandler>
  </EmployeeListPage>
  
  <CreateEmployeePage>
    <frLastName text=":"/>
    <frFirstName text=":"/>
    <frMiddleName text=":"/>
	<frFileAs text=" :"/>
    <frPosition text=":"/>
    <frQualification text=":"/>
    <frDivision text=":"/>
    <frWorkPhone text=" :"/>
    <frMobilePhone text=" :"/>
    <frEmail text=" :"/>
    <frRole text=":"/>
    <frSaveAndCreate text="   "/>
    <frIsManagerMasterInfo text=" "/>
    <frIsChiefAccountantMasterInfo text=" "/>
  </CreateEmployeePage>

  <ManagersPage>
    <frManager text=":"/>
    <frChiefAccountant text=" :"/>
	<frGroupBox text="  "/>

	<MasterInfo>
      <source>MasterInfo/Company/Manager</source>
	  <source>MasterInfo/Company/ChiefAccountant</source>
    </MasterInfo>
  </ManagersPage>
  
  <UserIdentificationPage>
	<frWinIdentificationHeader text="   Windows"/>
	<frWinIdentificationBody text="         ProjectMate     Windows.      ,        ,  ProjectMate        ."/>
	<frIsWinIdentification text="      Windows?"/>
	<frSQLAuthenticationMasterInfo text=""/>
	<frSQLAuthenticationOff text=""/>
	
	<frSQLIdentificationHeader text="   SQL Server"/>
	<frSQLIdentificationBody text="                      .           ,      ."/>
	<frIsSQLIdentification text="      SQL Server?"/>
	<frWindowsAuthenticationMasterInfo text=""/>
	<frWindowsAuthenticationOff text=""/>
	
	<frWindowsGroup text=" :"/>
    <frAddWindowsGroup text="..."/>
    
    <MasterInfo>
      <source>MasterInfo/UserIdentification/SQLAuthentication</source>
      <source>MasterInfo/UserIdentification/WindowsAuthentication</source>
      <source>MasterInfo/UserIdentification/WindowsGroup</source>
    </MasterInfo>
    
  </UserIdentificationPage>
  
  <RolePage>
	<frAcceptRoleMasterInfo text="  "/>
	
    <GridSettings>
		<frRoleDataGrid>
			<column name="Role" header="" length="1" lengthUnitType="Star" type="Text"/>
		</frRoleDataGrid>
    </GridSettings> 
    
    <MasterInfo>
      <source>MasterInfo/UserIdentification/AcceptRole</source>
    </MasterInfo>
  </RolePage>

  <UserAccountPage>
	<frExportExcel text="..."/>
	
    <MasterInfo>
      <source>MasterInfo/EmployeeList</source>
    </MasterInfo>

    <GridSettings>
		<frEmployeeDataGrid>
			<column name="FileAs" header=" " length="91" lengthUnitType="Star" type="Text"/>
			<column name="Position" header="" length="1" lengthUnitType="Star" type="Text" index="1" Visibility="Collapsed"/>
			<column name="Qualification" header="" length="1" lengthUnitType="Star" type="Text" index="2" Visibility="Collapsed"/>
			<column name="LastName" header="" type="Text" Visibility="Collapsed"/>
			<column name="FirstName" header="" type="Text" Visibility="Collapsed"/>
			<column name="MiddleName" header="" type="Text" Visibility="Collapsed"/>
			<column name="Division" header="" type="Text" Visibility="Collapsed"/>
			<column name="WorkPhone" header=" " type="Text" Visibility="Collapsed"/>
			<column name="MobilePhone" header=" " type="Text" Visibility="Collapsed"/>
			<column name="Email" header=" " type="Text" Visibility="Collapsed"/>
			<column name="Role" header=" " type="Text" Visibility="Collapsed"/>
			<column name="IsManager" header="" type="Text" Visibility="Collapsed"/>
			<column name="IsChiefAccountant" header=" " type="Text" Visibility="Collapsed"/>
			<column name="WindowsAccount" header="  Windows" length="100" lengthUnitType="Star" type="Text"/>
			<column name="SQLAccount" header="" length="100" lengthUnitType="Star" type="Text"/>
			<column name="SQLPassword" header="" length="91" lengthUnitType="Star" type="Text"/>
		</frEmployeeDataGrid>
    </GridSettings>
  </UserAccountPage>

  <FinalPage>
    <ButtonFinish IsEnabled="true"/>
  </FinalPage>
 
</PageContent>'
GO

EXEC xmlParameterSet 'Navigation', '
<NavigationList>
  <MenuItem title="HelloPage" PageHeader=" " type="xml"/>
  <MenuItem title="CompanyInfo" path="CompanyInfo" MenuHeader="  " type="menuItem">
	  <MenuItem title="StartPage" PageHeader=" " type="xaml"/>
	  <MenuItem title="RegionalPage" PageHeader=" " type="xaml"/>
	  <MenuItem title="BankAccountPage" PageHeader=" " type="xaml">
			<AdditionalOptions>
				<option>NotForDepartment</option>
			</AdditionalOptions>
	  </MenuItem>
	  <MenuItem title="CalendarPage" PageHeader=" " type="xaml"/>
	  <MenuItem title="LegalAddressPage" PageHeader=" " type="xaml"/>
	  <MenuItem title="ActualAddressPage" PageHeader=" " type="xaml"/>
	  <MenuItem title="CompanyContactPage" PageHeader="" type="xaml"/>
  </MenuItem>
  <MenuItem title="CompanyDetails" path="CompanyDetails" MenuHeader=" " type="menuItem">
	  <MenuItem title="DivisionListPage" MenuHeader="" PageHeader=" " type="xaml"/>
	  <MenuItem title="PositionListPage" MenuHeader="" PageHeader=" " type="xaml"/>
	  <MenuItem title="QualificationCurrencyPage" PageHeader=" " type="xaml">
			<AdditionalOptions>
				<option>NotForDepartment</option>
			</AdditionalOptions>
	  </MenuItem>
	  <MenuItem title="QualificationListPage" MenuHeader="" PageHeader="   " type="xaml">
			<AdditionalOptions>
				<option>NotForDepartment</option>
			</AdditionalOptions>
	  </MenuItem>
	  <MenuItem title="EmployeeListPage" MenuHeader="" PageHeader=" " type="xaml"/>
	  <MenuItem title="ManagersPage" PageHeader=" " type="xaml"/>
  </MenuItem>
  <MenuItem title="SystemUsers" path="SystemUsers" MenuHeader=" " type="menuItem">
	  <MenuItem title="UserIdentificationPage" PageHeader=" " type="xaml">
			<AdditionalOptions>
				<option>ForDomain</option>
			</AdditionalOptions>
	  </MenuItem>
	  <!--MenuItem title="RolePage" PageHeader=" " type="xaml"/-->
	  <MenuItem title="UserAccountPage" PageHeader=" " type="xaml"/>
  </MenuItem>
  <MenuItem title="FinalPage" MenuHeader="  " type="xaml" IsFinish="True"/>
</NavigationList>'
GO

EXEC xmlParameterSet 'HelloPage', '<Page xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      Title="HelloPage" FontFamily="Tahoma" FontSize="8.25pt">

    <Page.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="pack://application:,,,/Avicom.Adf.StartupMaster;component/ResourceDictionary.xaml" />
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </Page.Resources>

  <Grid>
    <Grid.RowDefinitions>
      <RowDefinition Height="Auto"></RowDefinition>
      <RowDefinition Height="10"></RowDefinition>
      <RowDefinition Height="*"></RowDefinition>
    </Grid.RowDefinitions>
    
    <Grid.ColumnDefinitions>
	  <ColumnDefinition Width="11*"></ColumnDefinition>
	  <ColumnDefinition Width="*"></ColumnDefinition> 
    </Grid.ColumnDefinitions>
    
    <TextBox Name="frHeader" IsReadOnly="True" Grid.Row="0" FontSize="12" Foreground="MidnightBlue" FontWeight="Bold" Style="{StaticResource bodyTextStyle}"></TextBox>
    <TextBox Name="frBody" IsReadOnly="True" Grid.Row="2" Style="{StaticResource bodyTextStyle}"></TextBox>
  </Grid>
</Page>'
GO