IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm6GetAvailableProjectsAssignment]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm6GetAvailableProjectsAssignment'
		DROP FUNCTION [dbo].[fnPjm6GetAvailableProjectsAssignment]
	END

GO

PRINT 'Creating function fnPjm6GetAvailableProjectsAssignment'
GO
/******************************************************************************
**		File:	fnPjm6GetAvailableProjectsAssignment.sql
**		Name: 	fnPjm6GetAvailableProjectsAssignment
**		Desc:	     , 
**				   
*******************************************************************************
**		Date:		Author:		Description:
**		-----		-------		-------------
**    	16.06.10	PAM			 
*******************************************************************************/
CREATE FUNCTION fnPjm6GetAvailableProjectsAssignment()

RETURNS @Assignment TABLE ([ID] INT)

AS 

BEGIN
	INSERT INTO @Assignment
	SELECT
		[AssignmentEntry].[EmployeeID]
	FROM
		[Assignment]
		INNER JOIN fnPjm6GetAvailableProjectsForProjectMemberAndManager() AS AP
			ON [Assignment].[ProjectID] = [AP].[ID]
		INNER JOIN [AssignmentEntry]
			ON [Assignment].[ID] = [AssignmentEntry].[AssignmentID]
		WHERE 
			[Assignment].[State] = 1
		GROUP BY 
			[AssignmentEntry].[EmployeeID]

	RETURN

END
	
GO