 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'vwEmployeeWithEP')
	BEGIN
		PRINT 'Dropping View vwEmployeeWithEP'
		DROP  View vwEmployeeWithEP
	END
GO

/******************************************************************************
**		File: 
**		Name: vwEmployeeWithEP
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View vwEmployeeWithEP'
GO
CREATE View vwEmployeeWithEP
as

	SELECT
	   [Employee].[Class]
      ,[Employee].[ID]
      ,[Employee].[State]
      ,[Employee].[Flag]
      ,[Employee].[FileAs]
      ,[Employee].[Title]
      ,[Employee].[FirstName]
      ,[Employee].[MiddleName]
      ,[Employee].[LastName]
      ,[Employee].[Suffix]
      ,[Employee].[Initials]
      ,[Employee].[BirthDate]
      ,[Employee].[BirthPlace]
      ,[Employee].[LegalCode]
      ,[Employee].[PositionID]
      ,[Employee].[CompanyID]
      ,[Employee].[DivisionID]
      ,[Employee].[QualificationID]
      ,[Employee].[UserID]
      ,[Employee].[HireDate]
      ,[Employee].[FireDate]
      ,[Employee].[LastContact]
      ,[Employee].[NextContact]
      ,[Employee].[Comments]
      ,[Employee].[Created]
      ,[Employee].[CreatedBy]
      ,[Employee].[Modified]
      ,[Employee].[ModifiedBy]
      ,[Employee].[Timestamp]
      ,CAST([ExtendedProperties] as xml).value('(/ExtendedProperties/Values/Gender)[1]','int') as [Gender]
  	FROM
		[Employee] LEFT OUTER JOIN [ExtendedProperties]
			ON [Employee].[ID] = [ExtendedProperties].[ID] AND [Employee].[Class] = [ExtendedProperties].[Class]
GO
